package com.abi.qms.platform.valid;

import com.abi.qms.platform.dao.enums.ValidatorEnum;
import com.abi.task.common.api.exception.BusinessException;
import com.google.common.collect.Maps;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;

import java.util.HashMap;

/**
 * @className: com.abi.qms.platform.valid-> FactoryPropertyValidator
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-21 11:59
 * @version: 1.0
 * @todo:
 */
public abstract class PropertyValidator {


    public static final HashMap<ValidatorEnum,PropertyValidator> validatorMap = Maps.newHashMap();


    public static Boolean checkPattern(ValidatorEnum validatorName,String content){
        PropertyValidator validator = getValidator(validatorName);
        return validator.doCheck(content);
    }


    private static PropertyValidator getValidator(ValidatorEnum validatorName){
        PropertyValidator validator = validatorMap.get(validatorName);
        if (ObjectUtils.isEmpty(validator)){
            throw new BusinessException("暂不支持的验证类型");
        }
        return validator;
    }



    /**
     * valid 校验格式
     * default
     * @param str
     * @return
     */
    public Boolean doCheck(String str) {
        return null;
    }

}
